
Foreman - Bug #29049

GCE should not display deprecated images while creating image 

02/18/2020 01:08 PM - Kavita Gaikwad

Status: Closed   

Priority: Normal   

Assignee: Kavita Gaikwad   

Category: Compute resources - GCE   

Target version:    

Difficulty:  Fixed in Releases: 1.24.3, 2.0.0

Triaged: No Found in Releases:  

Bugzilla link: 1801622 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7463,

https://github.com/theforeman/foreman/p

ull/7522,

https://github.com/theforeman/foreman/p

ull/7524,

https://github.com/theforeman/foreman/p

ull/7527

  

Description

Related issues:

Related to Foreman - Feature #29182: Extend use of image families filter with... New

Associated revisions

Revision d55f273f - 03/16/2020 10:31 AM - Kavita Gaikwad

Fixes #29049 - filter images & extends projects in GCE (#7463)

appends Google extra global projects list with 'rhel-sap-cloud' project

to show images as Google compute engine.

Also, adds a method to filter the image list from

google compute by adding image family names to filter list.

Revision 2b48cb99 - 03/16/2020 02:39 PM - Kavita Gaikwad

Refs #29049 - fix image_families filter test for GCE

History

#1 - 02/24/2020 10:15 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7463 added

#2 - 02/26/2020 12:26 PM - Kavita Gaikwad

- Subject changed from GCE should not display deprecated images while creating image to GCE should not display deprecated images while creating

image 

Along with the fix, I have extended global projects lists from Google Compute Engine with project "rhel-sap-cloud" and added method

"image_families_to_filter" to override so that I can override the behaviour.

#3 - 02/26/2020 12:26 PM - Kavita Gaikwad

- Related to Feature #29182: Extend use of image families filter without overriding the method from any plugin added

#4 - 03/16/2020 10:31 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added
#5 - 03/16/2020 11:01 AM - Kavita Gaikwad

- Status changed from Ready For Testing to Closed

Applied in changeset d55f273f7d8d0dae621713d936d5a96ae474bdb4.

#6 - 03/16/2020 12:08 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7522 added

#7 - 03/16/2020 12:57 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7524 added

#8 - 03/16/2020 03:30 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7527 added

#9 - 03/16/2020 04:14 PM - Tomer Brisker

- Fixed in Releases 1.24.3, 2.0.0 added

- Fixed in Releases deleted (2.1.0)
